Loading...
Searching...
No Matches
Opm::RelpermDiagnostics Class Reference

This class is intend to be a relperm diagnostics, to detect wrong input of relperm table and endpoints. More...

`#include <RelpermDiagnostics.hpp>`

## Public Member Functions

template<class LevelCartesianIndexMapper>
void | diagnosis (const EclipseState &eclState, const LevelCartesianIndexMapper &levelCartesianIndexMapper)
| This function is used to diagnosis relperm in eclipse data file.

## Detailed Description

This class is intend to be a relperm diagnostics, to detect wrong input of relperm table and endpoints.

## Member Function Documentation

## diagnosis()

template<class LevelCartesianIndexMapper>

void Opm::RelpermDiagnostics::diagnosis | ( | const EclipseState & | eclState,
|  | const LevelCartesianIndexMapper & | levelCartesianIndexMapper )

This function is used to diagnosis relperm in eclipse data file.

Errors and warings will be output if they're found.

Parameters

  [in] | eclState | eclipse state.
  [in] | levelCartesianIndexMapper | Cartesian index mapper

The documentation for this class was generated from the following files:

- opm/simulators/utils/satfunc/RelpermDiagnostics.hpp
- opm/simulators/utils/satfunc/RelpermDiagnostics.cpp